## org.hibernate.engine
Enum FetchTiming

    java.lang.Object
      java.lang.Enum<FetchTiming>
          org.hibernate.engine.FetchTiming

All Implemented Interfaces:
  Serializable, Comparable<FetchTiming>

    public enum FetchTiming

extends Enum<FetchTiming>

Enumeration of values describing WHEN fetching should occur.

See Also:
  `FetchStyle`

Enum Constant Summary
`DELAYED` Performing fetching later, when needed.
`EXTRA_LAZY` Take extra care to ensure laziness.
`IMMEDIATE` Perform fetching immediately.

Method Summary
`static FetchTiming` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FetchTiming[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMMEDIATE

    public static final FetchTiming IMMEDIATE

  Perform fetching immediately. Also called eager fetching

### DELAYED

    public static final FetchTiming DELAYED

  Performing fetching later, when needed. Also called lazy fetching.

### EXTRA_LAZY

    public static final FetchTiming EXTRA_LAZY

  Take extra care to ensure laziness. Only available in regards to collections

Method Detail

### values

    public static FetchTiming[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FetchTiming c : FetchTiming.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FetchTiming valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.